Subject: RE: Old Thread: Cygwin Performance
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "Tim Prince" <[email-masked]>
Date: Wed, 23 Jan 2002 08:26:17 +0100

Hi Tim,
Sorry for late answer, I was busy with other things. Should the link below help with this ? We (the kde-cygwin
team) are using this for a special profiling lib for profiling the kde2 port.

http://www-106.ibm.com/developerworks/library/l-rt1/

Ralf Habacker
kde on cygwin http://kde-cygwin.sf.net

> -----Original Message-----
> From: Tim Prince [mailto:[email-masked]]
> Sent: Wednesday, December 05, 2001 9:36 PM
> To: Ralf Habacker; Cygwin
> Subject: Re: Old Thread: Cygwin Performance
>
>
>
> > > -----Original Message-----
> > > From: Tim Prince [mailto:[email-masked]]
> > > Sent: Sunday, December 02, 2001 10:58 PM
> > > To: Ralf Habacker
> > > Cc: Cygwin
> > > Subject: Re: Old Thread: Cygwin Performance
> > >
> > >
> The QueryPerformance() calls are still giving 1.00 second timing resolution
> on an AthlonMP box (should be better than 10 microseconds on most other
> boxes, with correct usage), but their use appears to be truer to the
> original lmbench than the cygwin gettimeofday() with its 1.00 second
> resolution.
>
> I believed there were deficiencies in the way lmbench uses
> QueryPerformance(), preserving only 31 bits of clock ticks from the time of
> initialization, but I didn't succeed in showing any better way.
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/